#!/usr/bin/perl
#
# Descripcion:	Este programa produce una imagen en formato PNG de un
# 				cdigo de barras.
# USO :	Requiere como entrada las siguientes variables 
#	"CB" : El formato de codigo de barra a generar (ean13, code39,NW7, etc...)
#   "NUMERO" : el numero del codigo a imprimir. Algunos formatos aceptan
#			un codigo alfanumrico, por ejemplo Code39.
#

use CGI;
use GD::Barcode::EAN8;
use GD::Barcode::Code39;
use GD::Barcode::EAN13;

$web = new CGI;

# primero se define un formato de codigo por defecto si
# no se especifica nada en los parametros de entrada
$cb="Code39" if (!($cb = $web->param('cb')));
$numero = "888888888888" if (!($numero = $web->param('numero')));

if ($cb eq "Code39") {  
  binmode(STDOUT);
  print "Content-Type: image/png\n\n";
  $oCB = GD::Barcode::Code39->new("*$numero*");
  die $GD::Barcode::Code39::errStr unless($oCB);
  print $oCB->plot(NoText=>0, Height => 35)->png;
  exit;
}

if ($cb eq "EAN13" ) {
	binmode(STDOUT);
    print "Content-Type: image/png\n\n";
	#$oCB = GD::Barcode::EAN13->new($numero);
	#die $GD::Barcode::EAN13::errStr unless($oCB);	
	print GD::Barcode::EAN13->new($numero)->plot->png;
	#print $oCB->plot->png;
	exit;
}

if ($cb eq "EAN8" ) {
	binmode(STDOUT);
    print "Content-Type: image/png\n\n";
	#$oCB = GD::Barcode::EAN13->new($numero);
	#die $GD::Barcode::EAN13::errStr unless($oCB);	
	print GD::Barcode::EAN8->new($numero)->plot->png;
	#print $oCB->plot->png;
	exit;
}
